### Enumeration

# Gtk ListScrollFlags

since: 4.12

#### Declaration

    flags Gtk.ListScrollFlags

#### Description [src]

List of actions to perform when scrolling to items in a list widget.

Available since: 4.12

#### Members

`GTK_LIST_SCROLL_NONE`

  Don’t do anything extra.

  - Value: `0`
  - Available since: 4.12
`GTK_LIST_SCROLL_FOCUS`

  Focus the target item.

  - Value: `1`
  - Available since: 4.12
`GTK_LIST_SCROLL_SELECT`

  Select the target item and unselect all other items.

  - Value: `2`
  - Available since: 4.12